%define name		perl-File-MMagic
%define realname	File-MMagic
%define version		1.15
%define release		1mdk

Summary: Guess file type from filename and/or filehandle.

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{realname}-%{version}.tar.bz2
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.00503 

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL

%make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc MANIFEST README.en TODO
%{_libdir}/perl5/site_perl/*/File/*
%{_libdir}/perl5/man/man3/*

%changelog
* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.13-1mdk
- updated to 1.13

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
